Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1125415

Summary: freeipa-server-install doesn't handle IPv4 and IPv6 addresses for the same hostname
Product: [Fedora] Fedora Reporter: Stephen Gallagher <sgallagh>
Component: freeipaAssignee: Rob Crittenden <rcritten>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: abokovoy, mkosek, pviktori, pvoborni, rcritten, ssorce
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: freeipa-4.1.1-2.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-11-25 03:06:58 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1089262    

Description Stephen Gallagher 2014-07-31 18:49:42 UTC
Description of problem:
Attempting to run ipa-server-install on a system with both an IPv4 and an IPv6 address associated with the system's hostname throws an error stating that with more than one IP address, the --ip-address option must be provide.

From conversations on IRC, it seems that the primary reasons for this are to support adding the entry to DNS and to avoid dealing with multihomed machines, but this isn't really multi-homed.

Version-Release number of selected component (if applicable):
freeipa-4.0.1-1.fc21

How reproducible:
Every time

Steps to Reproduce:

1. Set up a system with both IPv4 and IPv6 addresses (the latter can be link-local; it will still demonstrate the error)
2. Set the hostname of the system
3. Add 'myhostname' to the hosts: line in /etc/nsswitch.com
4. Attempt to run 'ipa-server-install -U --setup-dns <arguments>'

Actual results:
Unattended installation fails, asking for the user to specify a single IP address.

Expected results:
The installer should proceed to completion.

Additional info:
The fix here should probably also filter out link-local addresses from the list.

Comment 1 Martin Kosek 2014-08-01 10:07:09 UTC
This issue was already reported in
https://fedorahosted.org/freeipa/ticket/3575
I am moving to needs triage so that we can re-prioritize and expedite the fix.

Comment 2 Martin Kosek 2014-09-26 15:58:59 UTC
Fixed upstream
master:
https://fedorahosted.org/freeipa/changeset/947c7398edbcae29d74acea3b00968871bd4ce98
ipa-4-1:
* 579b614e3f0501138d3fbb669cf6ae85adb3ac56 Detect and configure all usable IP addresses.

Comment 3 Fedora Update System 2014-10-23 08:32:27 UTC
freeipa-4.1.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/freeipa-4.1.0-2.fc21

Comment 4 Fedora Update System 2014-10-23 16:22:08 UTC
Package freeipa-4.1.0-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freeipa-4.1.0-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13547/freeipa-4.1.0-2.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-11-21 13:55:47 UTC
freeipa-4.1.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/freeipa-4.1.1-2.fc21

Comment 6 Fedora Update System 2014-11-25 03:06:58 UTC
freeipa-4.1.1-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.